From df2f78d8bacd9941e551299f7b0b3b361d4ddfd9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 06:31:53 +0000
Subject: [PATCH 753/2232] Expand on field documentation of Opt struct


---

diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index a5dcdd0..5bc51e1 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -36,10 +36,15 @@ use std::path::Path;
 #[derive(Default, Clone)]
 #[non_exhaustive]
 pub struct Opt {
-    /// Any additional headers to #include
+    /// Any additional headers to #include. The cxxbridge tool does not parse or
+    /// even require the given paths to exist; they simply go into the generated
+    /// C++ code as #include lines.
     pub include: Vec<String>,
-    /// Whether to set __attribute__((visibility("default")))
-    /// or similar annotations on function implementations.
+    /// Optional annotation for implementations of C++ function wrappers that
+    /// may be exposed to Rust. You may for example need to provide
+    /// `__declspec(dllexport)` or `__attribute__((visibility("default")))` if
+    /// Rust code from one shared object or executable depends on these C++
+    /// functions in another.
     pub cxx_impl_annotations: Option<String>,
 }
 

